// ------------------------------------------------------------
// File       : to_run.cpp
// Created    : September 10, 2003
// Author     : M. E. Shmelyov
// Description: Test program to be run from another process
// ------------------------------------------------------------

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[], char * env[])
{
  int the_c, i;
  printf("Content-Type: text/plain\n\n");
  printf("TO_RUN experimental program\nDesigned by SM\nRequest method: %s\n",
    getenv("REQUEST_METHOD"));
  printf("\nListing command line:\n");
  for (i=0; i<argc; i++)
    printf("%s\n", argv[i]);
  printf("\nListing environment variables:\n");
  for (i=0; env[i]!=NULL; i++)
    printf("%s\n", env[i]);
  printf("\n\nListing stdin:\n");
  do
  {
    the_c = getc(stdin);
    if (the_c!=EOF)
      putc(the_c, stdout);
  } while (the_c!=EOF);
  //fprintf(stderr, "Let`s test stderr redirection:\nTIPA_ERROR :)\n");
  return 0;
}//end