// ------------------------------------------------------------
// Module     : victorine.cpp
// Created    : September 30, 2003
// Author     : M. E. Shmelyov
// Description: Example CGI application that uses webparse.*
//              Simple victorine
// ------------------------------------------------------------


#include <stdio.h>
#include "webparse.h"

using namespace std;

int main(void)
{
  if (!ParseForm())
    return 1;
  bool argRecognized=false;
  printf("Content-Type: text/html\n\n"
    "<html><head><title>Victorine</title>\n"
    "</head><body>");
  if (formdata["act"]=="Vote")
  {
    argRecognized=true;
    printf("<h1>Results</h1>");
    if (formdata["answer"]=="white")
    {
      printf("<h2>Congratulations, %s!</h2><p><b>You won!</b></p>"
        "<p>Really, mixing <span style=\'background-color:red; color:white;\'>"
        "red</span> light with <span style=\'background-color:aqua; color:navy;\'>"
        "aqua-blue</span> (&quot;lightblue&quot; or &quot;cyan&quot;) "
        "can result in white light.</p>"
        "<p>However, result color depends on proportion of mixing lights "
        "(luminosities). So it can be pink or light-light-blue or dark-gray "
        "(when lights are little intensive).</p>\n<p>In fact, theoretically it "
        "can even be <b>black</b>&mdash;when luminosities of both lights are "
        "zeros. Of cource, in practice we don`t call zero-intensive red light "
        "`red`; we just call it `black`. <nobr>:)</nobr></p>",
        formdata["nm"].c_str());
    }
    else
      printf("<h2>Sorry, %s</h2><p>Your answer is wrong. Thank you for playing.</p>",
        formdata["nm"].c_str());
    printf("</body></html>");
  }
  if (formdata["act"]=="Ask")
  {
    argRecognized=true;
    string playerName;
    playerName = formdata["nm"];
    printf("<h1>Playing</h1><p>%s, please answer our question.</p>"
      "<form method=POST><input type=hidden name=\'nm\' value=\'%s\'>\n"
      "<i>&quot;Mixing red and aqua-blue produces:&quot;</i><br>"
      "<input type=radio name=\'answer\' value=\'Red-Oct\' checked>Red October<br>\n"
      "<input type=radio name=\'answer\' value=\'gaycom\'>communist-gay<br>\n"
      "<input type=radio name=\'answer\' value=\'explosives\'>explosives<br>\n"
      "<input type=radio name=\'answer\' value=\'white\'>white<br>\n"
      "<input type=radio name=\'answer\' value=\'0\'>nothing<br>\n",
      playerName.c_str(), playerName.c_str());
    printf("<input type=hidden name=\'act\' value=\'Vote\'>"
      "<input type=\'submit\' value=\'Vote\'></form>"
      "</body></html>");
  }
  if (!argRecognized)
  {
    printf("<h1>Victorine</h1><p>Hello! We invite You to play in our victorine.</p>"
      "<form method=POST>Please enter Your first name: <input type=text name=\'nm\'><br>\n"
      "<input type=hidden name=\'act\' value=\'Ask\'>"
      "<input type=\'submit\' value=\'Continue\'></form>"
      "</body></html>");
  }
  return 0;
}//end main